version 0.0.339
- Settings \ Logos \ Crop and Resize Logo Folder

version 0.0.338
- on-top time bar (skinners: preload tvgf-timebar.png (see Default))

version 0.0.337
- m3u fix

version 0.0.336
- Settings \ Lab1 \ Custom Category Order (use | to seperate)
- Skin clean

version 0.0.335
- Settings \ Appearance \ List View for Choose Stream

version 0.0.334
- m3u subscription fix
- more vpn manager fixes

version 0.0.333
- vpn manager fix for autoplay/autoplaywith

version 0.0.332
- support for White Snow skin Help button

version 0.17.331
- Settings \ Playback \ Use highest bandwidth stream from m3u url (Krypton+ fix)

version 0.0.330
- integration with VPN Manager for OpenVPN from Zomboided (https://github.com/Zomboided/service.vpn.manager)
- see Wiki for help (https://github.com/Zomboided/service.vpn.manager/wiki)

version 0.0.328-329
- fix tvguide.co.uk offset
- delete *.xml/*.xmltv on Settings \ Reset Database \ Reset Everything

version 0.0.327
- don't switch to epg on play channel shortcut

version 0.0.326
- channel shortcut fix

version 0.0.324-325
- white_snow skin changes

version 0.0.323
- Settings \ Startup \ Service Time (time of day)
- Settings \ Startup \ Update Notification Progress (included normal foreground updating)

version 0.0.322
- Settings \ Appearance \ Skin Folder (above resources/skins)

version 0.0.320-321
- PIL bodge for Kodi 18+ (DO NOT USE LOGODB IN LEIA!)

version 0.0.319
- Settings \ Appearance \ Show Addon in Context Menu (Default/CatBar only)

version 0.0.318
- xmltv import fix (hopefully)

version 0.0.317
- scrolling fix
- Settings \ Appearance \ No Programs Message (default is -)
- ATV fix but TheLogoDB will not work

version 0.0.316
- Season X Episode X xmltv fix

version 0.0.315
- Schedules Direct background update fix
- MySearch will first look for \userdata\addon_data\plugin.video.stvbguide\favourites.xml

version 0.0.311-314
- Simpler Recording
- Settings \ Program Scheduler \ AutoPlayWiths \ ffmpeg Program (point to ffmpeg.exe)
- Settings \ Program Scheduler \ AutoPlayWiths \ ffmpeg Output Folder (for recordings)
- if ffmpeg setting is not blank recording will try to use ffmpeg
- else if playercorefactory is set it will use this player to autoplaywith
- else it will look for the autoplaywith scripts in addon_data

version 0.0.310
- Catchup Channel - play channel programs with catchup addon
- the current program is started from the beginning, all others are offset to compensate
- Settings \ Playback \ Show Catchup Channel
- Stream Setup \ strm|m3u \ Catchup Channel
- set channel url to "catchup" in ini|m3u files

version 0.0.309
- fix

version 0.0.308
- panic over, the forum thread is back

version 0.0.307
- sanitise

version 0.0.305-306
- Action Bar in CatBar skin
- Settings \ Appearance \ Show Action Bar
- Settings \ Appearance \ Down to Action Bar
- Settings \ Appearance \ Reset Action Bar
- customise the Action Bar in file:
\userdata\addon_data\plugin.video.stvbguide\actions.json
- format is ["Name", "Action", "Icon"]

version 0.0.303-304
- new Up to Categories option - Always (ie every page)

version 0.0.301-302
- Program Categories button in CatBar skin

version 0.0.300
- Settings \ Appearance \ Up to Categories Bar
  if skin has a Categories bar (use CatBar for now)

version 0.0.299
- NEW CatBar Skin
- to activate it map up the Show OSD action
- "CATEGORIES_BAR": ["ACTION_SHOW_OSD"]
- Keymap Editor \ Global \ Playback \ Show OSD

version 0.0.298
- stop before play

version 0.0.297
- mouse button purge

version 0.0.296
- Mouse Move controls for OSD, Last Channel, Quick EPG

version 0.0.295
- Settings \ Backup \ Clear <Alternative> Channel Mappings

version 0.0.294
- Settings \ Backup \ Export/Import Alternative Channel Mappings
- userdata\addon_data\plugin.video.stvbguide\alt_custom_stream_urls.tsv
- tsv fields (id,name,url)

version 0.0.292-293
- clear Autoplaywiths fix (thanks FXB78)

version 0.0.290-291
- touch fixes

version 0.0.289
- extra 7 and 14 day intervals (not necessary if you use md5 update checks or local files)
- invisible osd play button (covers lower 200 pixels)
- osd nav buttons on right
- invisible info button in TV Mode to bring up osd (lower 200 pixels)
- invisible back button in all modes (top left 100 pixel square)

version 0.0.288
- Settings \ Playback \ Catchup Addon (Meta, MetalliQ)

version 0.0.287
- Next/Previous Day invisible buttons (over date)

version 0.0.285
- saved lists for Title and Synopsis Searches

version 0.0.284
- Settings \ Lab2 \ tvguide.co.uk email (overrides Provider)

version 0.0.283
- Touch Controls - First Channel (clock), Channel Number dialog (NUM), Favourites (FAVS), Stop, Custom (MINE)
- Settings \ Lab1 \ Custom Command for MINE
- play ActivateWindow urls as xbmc.executebuiltin(url)

version 0.0.280-282
- Settings \ Playback \ Shortcut Editor (run the guide once to create the file)
- xmltv loading fix for 0.0.279

version 0.0.279
- Channel Id to Shortcut map = addon_data/plugin.video.stvbguide/channel_id_shortcut.ini
- copy and edit this file that is made on startup - addon_data/plugin.video.stvbguide/channel_id_title.ini

version 0.0.277-278
- Settings \ Playback \ Channel Shortcuts \ Auto-Play Channel On Numeric Input = Always Scroll|Scroll in EPG, Play in TV Mode|Always Play
- Right Click for Menu in EPG (remove ACTION_PREVIOUS_MENU from CLOSE and add to MENU in Settings \ Lab1 \ Action Editor)
- Local File modified time check (you can set "Settings \ Source \ File download Interval" to "every start" now)
- File download fix for no authorisation

version 0.0.276
- Settings \ Optional \ Remember Last Category
- Channel Shortcut Numbers - scroll in epg, play in tv mode

version 0.0.274-275
- Settings \ Appearance \ Auto-Play Channel On Number Input (for Channel Shortcut Numbers) [Thanks RayW1986]

version 0.0.273
- Settings \ Appearance \ Start When Any Number Key Pressed (for Channel Shortcut Numbers)

version 0.0.272
- Settings \ Appearance \ Channel Shortcut Numbers = None|Index|Id (id is a nummeric id from your xmltv file)
- New Action "GO_TO_FIRST_CHANNEL": ["ACTION_LAST_PAGE"] which is END in Windows
- click anywhere in Stream Setup background to Close the dialog
- Refresh Addon Folders fix for missing addons
- Add Folder fix for Alternative Streaming Method

version 0.0.271
- Channel Search (4)
- go Left for Channel Listing from Channel Search, c for Program Menu

version 0.0.270
- Settings \ Appearance \ Always Open Menu on Play (good for Touch devices)
- main EPG touch controls - Now, Next, Search

version 0.0.268-269
- choose stream if not set from most other lists and views
- Channel Index Shortcuts - default action is CHANNEL_NUMBER = ACTION_SHIFT (map up Shift to something in Keymap Editor)
- Settings \ Appearance \ Show Channel Index Numbers
- Settings \ Appearance \ Channel Index Digits

version 0.0.264-267
- Add Folder will prefix folder with @ if added with alternative streaming option in folders.list

version 0.0.263
- alternative streaming option in Add Folder and Stream Setup \ Addons (toggle channels)
- alternative streaming in addons.ini if stream starts with @ (eg BBC 1=@plugin.video.bbc/...)
- pip toggle (Thanks Andy)
- channel Categories menu in all epg views (epg, tv, osd ,quick epg, last channel)

version 0.0.262
- autoplaywith fix (Thanks FXB78)
- reset category to All Channels if category missing

version 0.0.260-261
- Settings \ Source \ Look for .gz Files (Urls only)
- Settings \ Source \ md5 Check (Urls only)
- md5 needs to be of the uncompressed file
- put the original file name as the source (not the .gz file)

version 0.0.258-259
- ESC fix
- big invisible buttons in main epg (up/down on channels, left/now/right on program description)

version 0.0.253-256
- Settings \ Lab1 \ TVDb/IMDb Image Search (allows for OMDb only)

version 0.0.251-252
- Settings \ Lab1 \ Action Editor (most actions are now customisable)

version 0.0.249-250
- Settings \ Appearance \ Sort Listings Views by Time (off for Sort by Channel)
- Settings \ Appearance \ Listing View Previous Hours (search past programs or long running programs)
- Listings View default action is now Play (usually). context menu for Menu

version 0.0.248
- ACTION_CREATE_BOOKMARK to bring up Schedulers Dialog (Remind|Autoplay|Autoplaywith)

version 0.0.244-247
- Settings \ Playback \ Playback OSD (seconds) - (Playback OSD and Timeout are Cumulative)

version 0.0.241-243
- ExtendedInfo Multiple Choice

version 0.0.240
- SchedulesDirect logos will use Logos Folder or Url if Logos Source is Folder|Url

version 0.0.238-239
- Program Category Search in Program Search (4 or Menu \ Lists \ Program Search)
- sub-title in main Program Title in EPG

version 0.0.237
- Category over Program From-To
- filter Add Channels to Category if already in category or invisible
- removed pip skin - use Settings \ Appearance \ Small EPG Video Preview Window and Default skin

version 0.0.234-236
- S1E1 episode-num match

version 0.0.233
- Settings \ Lab1 \ EPG Font (look in your Kodi Skin's Font.xml file for alternatives)
- Program Search now searches from 6 hours ago to Settings \ Appearance \ Listing View Days

version 0.0.232
- different play method that works with Radio too (might break some addons)
- Settings \ Appearance \ Scale Program Image (turn off for previous behaviour)
- Settings \ Appearance \ Program Search in Synopsis/Title

version 0.0.231
- Menu fix if no epg data
- Program Search fills in current program name

version 0.0.230
- longer timebar for AM/PM

version 0.0.229
- timebar shrink

version 0.0.228
- Choose Stream with Play button from main EPG (ACTION_PLAYER_PLAY)
- Settings \ Lab1 \ Append (Folder) to Name on Add Folder
- Settings \ Background \ Background Image Texture (choose your own if you are using the solid colour background)
- Pick Image dialog - Local, Pixabay (with thumbnail previews)

version 0.0.227
- Settings \ Optional \ Manage addons.ini m3u Playlist Subscriptions (merge m3u playlists into addons.ini)

version 0.0.226
- Settings \ Optional \ Import m3u (use an m3u playlist for custom primary channel mapping)

version 0.0.225
- Settings \ Playback \ Try Other Alternative Streams if Play Fails
- Settings \ Background \ Flat Background Image

version 0.0.223-224
- Settings \ Background \ Categories Background Colour
- Settings \ Playback \ Always Choose Channel if Alternative Streams Exist
- Settings \ Lab3 \ Secondary XMLTV File (WARNING: very experimental)

version 0.0.222
- Categories menu - Add Category item (context menu)
- Touch Controls - added Menu, Categories, Quit
- Stream Setup \ Browse \ Remove Folder (fuchsia if folder already added)
- Settings \ Optional \ Import addons.ini \ Overwrite or Merge Local addons.ini

version 0.0.221
- unique alternative streams
- feedback on Alt Stream button
- categeories menu in main epg (m, menu) [Thanks Team iVue]

version 0.0.220
- pre-find program images (up,down,left,right of current program)

version 0.0.219
- Stream Setup \ Browse \ Alt Stream

version 0.0.218
- OMDb option as part of program image search options
- Settings \ Source \ Treat 4 Digit Program Date as Movie
- Settings \ Lab1 \ Use Better Resolution IMDb Image (takes longer)

version 0.0.217
- cancel channel selection

version 0.0.216
- handle server compression

version 0.0.214-215
- combined program image search in Settings \ Lab1 \ Find Program Images from OMDb/TVDb/IMDb
- fix for yo.tv & tvguide.co.uk around midnight wrong day error

version 0.0.212-213
- OMDb images and missing plot

version 0.0.211
- autosaves channel mapping on exit to
    userdata\addon_data\plugin.video.stvbguide\custom_stream_urls_autosave.ini

version 0.0.206-210
- highlight all programs in currently playing channel
- yo.tv temporary fix to add 1 day to program data

version 0.0.205
- yo.tv Providers (usually needs a zip code)
- background progress dialogs

version 0.0.201-204
- Movie Year regex fix
- persistant Last Channel
- hide epg on play same channel as now playing

version 0.0.200
- Listings Views speed-up
- Authentication option in Settings \ Optional
- Menu buttons re-ordered (program, scheduler, channels, actions)

version 0.0.199
- Last Channel fix - Remote 0 in TV Mode

version 0.0.196-198
- Menu \ Add Alt Stream - uses the Choose Stream dialog to add a new alternative stream

version 0.0.195
- Import Channel Mapping - Settings \ Optional \ Channel Mapping (mapping.ini = separator)

version 0.0.194
- Background Update Service independent of File Download Interval now
- Notify after Background Update setting
- md5 fixes
- Video Favourites option

version 0.0.191-193
- Settings \ Lab1 \ Use Program Image from Source
- Settings \ Backup \ Download All Channel Logos
- Settings \ Lab1 \ md5 Check

version 0.0.190
- Settings \ Favourite Favourites = Favourites|Simple Favourites|Super Favourites

version 0.0.189
- Fall back to Channel Logo for Program Image in Settings\Lab1
- Delete TheLogoDB.com Cache in Settings\Logos
- !The Fall Back setting will use full size logos from TheLogoDB and might look bad in the epg

version 0.0.186-188
- Mulitple Alternative Streams

version 0.0.185
- Alternative Stream in Stream Setup \ Favourites | Addons
- Clear Alt Stream in Stream Setup \ strm|m3u

version 0.0.184
- Show Channel Logo in EPG in Settings \ Appearance

version 0.0.182-183
- play minimized in background/window in Settings \ Playback

version 0.0.181
- Settings \ Logos \ Keep Last Channel Logo Mapping (if you change the logos in Channels)

version 0.0.180
- Backup/Restore Channel Stream Mappings
- BBC Source fix

version 0.0.179
- movie match if xmltv program has a <date>YYYY field

version 0.0.178
- User Skins (Settings \ Appearance \ Skin Type = Yours)
- Skin Name (your top folder name in userdata\addon_data\plugin.video.stvbguide\resources\skins)
- make sure you make the directories resources\skins on top of your skin

version 0.0.175-177
- channel images from TheLogoDB.com (Settings \ Logos \ TheLogoDB)
- also searchable in Context Menu \ Channels \ Logo

version 0.0.173-174
- show Stream Setup if no channel matches

version 0.0.172
- fuzzy program image matching in Settings\Lab1

version 0.0.171
- Extended Info in menu and with (info,i) (needs script.extendedinfo)

version 0.0.170
- clear unwanted IMDB/TVDB image in main epg (m, menu)

version 0.0.167-169
- IMDB/TVDB image search Setting in Lab1

version 0.0.165-166
- url for epg background (change it to file to use your old image)

version 0.0.164
- yo.tv full data source in Lab

version 0.0.159-163
- tvguide.co.uk full data source in Lab
-   only bbc1 is visible by default (use channels menu for others)

version 0.0.157-158
- persistant category
- category arg for favourites - RunScript(plugin.video.stvbguide,your category here)

version 0.0.156
- experimental BBC data source (lots of pictures, short descriptions)
- MySearch version of iSearch (Settings\Appearance)

version 0.0.153-155
- tweaks and fixes

version 0.0.152
- Addon icon and name in stream setup if mapped

version 0.0.151
- lighter black in Backgrounds

version 0.0.150
- logo

version 0.0.149
- fix

version 0.0.146-148
- Left for Listing from Now
- Left/Right also for Menu from Listing/Next

version 0.0.145
- Up for Now in TV mode
- Right for Next
- Left for Now

version 0.0.142-144
- Simple Favourites (info,i in main epg or Favourites in context menu)

version 0.0.134-141
- fixes

version 0.0.133
- experimental support for SchedulesDirect (thanks to bluezed)

version 0.0.132
- fixes

version 0.0.131
- tweaks

version 0.0.130
- tweaks

version 0.0.129
- automatic update fix

version 0.0.128
- tweaks

version 0.0.127
- bigger program image / pip window

version 0.0.126
- Lists button in main menu

version 0.0.125
- colored color selection
- mouse controls visible setting

version 0.0.124
- full background customization settings

version 0.0.123
- darker background

version 0.0.122
- lighten epg overlay

version 0.0.121
- fullscreen background image (1280x720)

version 0.0.120
- Add/Remove/Clear Channels from Categories

version 0.0.119
- custom background and timebar image Setting

version 0.0.118
- import PVR channels (in Stream Setup)
- Right for Fullscreen in TV mode
- Context Menu everywhere

version 0.0.117
- support for Meta channel play by name
- use these as channels in addons.ini
- plugin://plugin.video.meta/tv/play_by_name/
- plugin://plugin.video.meta/movies/play_by_name/

version 0.0.116
- fix

version 0.0.115
- fix

version 0.0.114
- fix

version 0.0.113
- AutoPlayWith function (see readme.txt in addons\plugin.video.stvbguide\resources\playwith)

version 0.0.112
- fix

version 0.0.111
- fixes

version 0.0.110
- fixes

version 0.0.109
- sly skin removed

version 0.0.108
- Import Playlist from anywhere

version 0.0.107
- Listing in TV Mode

version 0.0.106
- Import Playlist (to addon plugin.video.stvbguide)

version 0.0.105
- show Listing/Now/Next/Search in other views

version 0.0.104
- leave osd open on channel change if direction button pressed

version 0.0.103
- fix

version 0.0.102
- fix

version 0.0.101
- don't fail if stop pressed early

version 0.0.100
- stream failed notification

version 0.0.99
- keep playing on Stream Setup exit
- no osd on channel change

version 0.0.98
- Help in Settings

version 0.0.97
- highlight correct playing program and channel
- Playback Timeout setting in Appearance
- Up Next is disabled until playback is solid

version 0.0.96
- missing date

version 0.0.95
- autoplay/reminders views links to main menu

version 0.0.94
- db possible fix if addon won't open
- Show Reminders (5)
- Show Autoplays (6)

version 0.0.93
- Autoplay

version 0.0.92
- date info in views

version 0.0.91
- Search Programs (4)

version 0.0.90
- libreelec remote keys for Listings/Now/Next (1,2,3)

version 0.0.89
- sly textures without the sunglasses

version 0.0.88
- Listings (1), Now (2), Next (3)

version 0.0.87
- Now (menu,m)/ Next (last page, end) views

version 0.0.86
- fix

version 0.0.85
- highlight now playing channel and program
- fixes and tweaks

version 0.0.84
- Listings view (info,i)

version 0.0.83
- today/tomorrow date in epg
- fixes and tweaks

version 0.0.82
- fix

version 0.0.81
- Quick EPG

version 0.0.80
- error handling

version 0.0.79
- fix for streams that don't play

version 0.0.78
- select (enter) to close Up Next popup
- tweaks and fixes

version 0.0.77
- Dark skin is back
- Up Next popup (setting for seconds)

version 0.0.76
- fit footer
- keep epg in sync

version 0.0.75
- last channel info in Default and pip skins

version 0.0.74
- last played channel in sly skin
  last channel (0), show last channel info in tv mode (right), hide (left)

version 0.0.73
- return to epg on stop

version 0.0.72
- info to return from epg
- sly tweaks

version 0.0.71
- go home on exception instead of freezing

version 0.0.70
- progress bars
- db exception recovery
- stay in tv mode on channel change (sometimes goes back to epg?!)

version 0.0.69
- page up wraparound fix

version 0.0.68
- up wraparound fix

version 0.0.67
- skin tweaks

version 0.0.66
- attempt at android fix (didn't work)

version 0.0.65
- skin tweaks

version 0.0.64
- skin tweaks

version 0.0.63
- fixes
- Dark out until fixed

version 0.0.62
- skin tweaks

version 0.0.61
- skin tweaks

version 0.0.60
- addon folders update timer

version 0.0.59
- fix

version 0.0.58
- sly skin (from im85288)

version 0.0.57
- Dark skin (from iainmacleod)

version 0.0.56
- logo fix

version 0.0.55
- logo fix (delete icons.ini or do a database reset)

version 0.0.54
- smb fix

version 0.0.53
- no addons fix

version 0.0.52
- cosmetic fixes

version 0.0.51
- setting to download action folder icons
- persistent category selection
- fullscreen stream setup window

version 0.0.50
- channel icons from xmltv or addon folders

version 0.0.49
- strm/m3u8 sub-streams

version 0.0.48
- osd fix

version 0.0.47
- stop on exit setting
- license change

version 0.0.46
- clearer pip skin layout
- seperate button for stream setup (beware!)

version 0.0.45
- rpi fix (hopefully)
- last page scroll fix
- new pip skin
- less flashing

version 0.0.44
- WARNING cyan skin is back to Default skin (change your settings!)
- supports audio addons too
- make context menu clearer

version 0.0.43
- osd context menu key fix

version 0.0.42
- fix for context menu losing category

version 0.0.41
- ignore case for exact channel match

version 0.0.40
- channel matching setting

version 0.0.39
- sort by categories.ini setting

version 0.0.38
- better channels.ini export

version 0.0.37
- fix

version 0.0.36
- fix

version 0.0.35
- categories.ini import setting

version 0.0.34
- fix

version 0.0.33
- sort channels in categories setting

version 0.0.32
- add channels to category is multiselect
- removed addon in video section, only in programs now

version 0.0.31
- categories (right click to add channels)

version 0.0.30
- channel logo

version 0.0.28
- broader channel search
- (some channels will find lots eg W)

version 0.0.27
- fix

version 0.0.26
- date and channel are back
- channels word number match

version 0.0.25
- tweaks

version 0.0.24
- cyan theme with original 8 channel sizing

version 0.0.23
- cyan theme

version 0.0.22
- fix for large xmltv files
- more space for program info

version 0.0.21
- button backgrounds

version 0.0.20
- sort addons properly

version 0.0.19
- channels per page setting

version 0.0.18
- addons will refresh without having to back out

version 0.0.17
- fix

version 0.0.16
- file/url options for all data
- WARNING! probably needs a settings reset

version 0.0.15
- super favourites fix

version 0.0.14
- fix

version 0.0.13
- tweaks

version 0.0.12
- android fix

version 0.0.11
- removed osd until fixed

version 0.0.10
- bigger program description
- only 14 channels

version 0.0.9
- tweaks

version 0.0.8
- hide background video

version 0.0.7
- Super Favourites (use Spoyser's repo)
- addon folders batch reload

version 0.0.6
- fuzzy logo matching

version 0.0.5
- fuzzy channel matching

version 0.0.4
- add addon folders to ini file
- (back out of dialog/app to reload)

version 0.0.2
- addon browser (click to load)

version 0.0.1
- let's go
